## supernovas 1.0.1-2

=== debian/changelog ===
supernovas (1.0.1-2-2) unstable; urgency=medium

  * Team upload.
    + Source-only Upload for testing migration.

 -- Nilesh Patra <nilesh@iki.fi>  Tue, 04 Jun 2024 01:29:14 +0530

supernovas (1.0.1-2-1) unstable; urgency=medium

  [ Attila Kovacs, Nilesh Patra ]

  * Initial release (Closes: #1071784)

 -- Attila Kovacs <attila.kovacs@cfa.harvard.edu>  Mon, 03 Jun 2024 02:25:15 +0530
