=== debian/rules ===
#!/usr/bin/make -f

CIO_LOCATOR_FILE=/usr/lib/${DEB_HOST_MULTIARCH}/supernovas/cio_ra.bin
BINPACKAGES := $(shell dh_listpackages)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_build:
	dh_auto_build
ifneq (,$(filter libsupernovas-cio-data,$(BINPACKAGES)))
	dh_auto_build -- cio_ra.bin
endif

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.md
