=== test/Makefile ===
--- 
+++ 
@@ -6,16 +6,16 @@
 # Use above config in sub-makes also
 export BUILTIN_SOLSYS3 BUILTIN_DEFAULT_SOLSYS CIO_LOCATOR_FILE
 
-CFLAGS += -I../include -g -pg -fprofile-arcs -ftest-coverage
+CFLAGS += -I../include -g -pg -Wall -fprofile-arcs -ftest-coverage
 LDFLAGS += -fprofile-arcs -ftest-coverage -lm
 
 include ../config.mk
 
 #OBJECTS := $(subst obj/,,$(OBJECTS))
-OBJECTS := novas.o nutation.o solsys3.o
+OBJECTS := novas.o nutation.o solsys3.o frames.o timescale.o refract.o
 
 .PHONY: run
-run: clean-cov clean-data test-compat test-cio_file test-super test-errors data ../cio_ra.bin
+run: clean-cov clean-data test-compat test-cio_file test-super test-errors data ../cio_ra.bin bad-data
 	./test-compat
 	ln -s ../cio_ra.bin
 	./test-cio_file
@@ -32,12 +32,28 @@
 	geninfo . -b . -o $@
 
 .PHONY: coverage
-coverage: novas.c.gcov nutation.c.gcov solsys3.c.gcov
+coverage: novas.c.gcov nutation.c.gcov solsys3.c.gcov timescale.c.gcov refract.c.gcov frames.c.gcov
 	make clean-test
 	make cov
 
 data:
 	mkdir data
+
+.PHONY: bad-data
+bad-data: ../cio_ra.bin bad-cio-data
+	@touch bad-cio-data/empty
+	@dd status=none if=../cio_ra.bin of=bad-cio-data/bad-1.bin bs=27 count=1
+	@dd status=none if=../cio_ra.bin of=bad-cio-data/bad-2.bin bs=63 count=1
+	@dd status=none if=../data/CIO_RA.TXT of=bad-cio-data/bad-1.txt bs=14 count=1
+	@dd status=none if=../data/CIO_RA.TXT of=bad-cio-data/bad-2.txt bs=79 count=1
+	@dd status=none if=../data/CIO_RA.TXT of=bad-cio-data/bad-3.txt bs=21 count=1
+	@dd status=none if=../data/CIO_RA.TXT of=bad-cio-data/bad-4.txt bs=21 count=1
+	@echo "blah" >> bad-cio-data/bad-4.txt
+	@dd status=none if=../data/CIO_RA.TXT of=bad-cio-data/bad-5.txt bs=79 count=1
+	@echo "blah blah blah blah blah blah" >> bad-cio-data/bad-5.txt
+
+bad-cio-data:
+	mkdir $@
 
 .PRECIOUS: %.c.gcov
 %.c.gcov: %.gcno %.gcda
@@ -70,12 +86,27 @@
 
 .PHONY: clean-data
 clean-data:
-	rm -rf data cio_ra.bin
+	rm -rf data cio_ra.bin bad-cio-data
 
 .PHONY: clean
 clean: clean-test clean-cov clean-data
 	rm -f *.o
 
+
+.PHONY: help
+help:
+	@echo
+	@echo "Syntax: make [target]"
+	@echo
+	@echo "The following targets are available:"
+	@echo
+	@echo "  run           (default) Compiles and runs regression tests."
+	@echo "  coverage      Extracts test coverage data."
+	@echo "  clean         Removes intermediate products."
+	@echo "  distclean     Deletes all generated files."
+	@echo
+
+
 vpath %.c ../src
 vpath %.c src
