=== debian/changelog ===
supernovas (1.1.0-1) unstable; urgency=medium
  
  * Update to upstream SupeerNOVAS v1.1.0
  
 -- Attila Kovacs <attila.kovacs@cfa.harvard.edu>  Sat, 03 Aug 2024 16:49:00 +0200
