=== debian/control ===
--- 
+++ 
@@ -60,8 +60,7 @@
  that particular interfacing.
 
 Package: libsupernovas-cio-data
-Architecture: any
-Multi-Arch: same
+Architecture: all
 Section: libs
 Depends: ${misc:Depends}
 Description: CIO location data for the SuperNOVAS C/C++ astronomy library
