=== debian/rules ===
#!/usr/bin/make -f

CIO_LOCATOR_FILE=/usr/share/supernovas/CIO_RA.TXT
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.md
