=== debian/changelog ===
supernovas (1.1.1-2) unstable; urgency=medium

  * Test without excessive precision

 -- Attila Kovacs <attila.kovacs@cfa.harvard.edu>  Thu, 31 Oct 2024 19:10:48 +0530

supernovas (1.1.1-1) unstable; urgency=medium

  * Update to upstream SuperNOVAS v1.1.1

 -- Attila Kovacs <attila.kovacs@cfa.harvard.edu>  Wed, 30 Oct 2024 19:11:37 +0530
