=== debian/control ===
--- 
+++ 
@@ -71,7 +71,6 @@
  .
  Applications that require CIO location w.r.t. the GCRS should depend on this
  sub-package.
-Build-Profiles: <!pkg.supernovas.ciodata>
 
 Package: libsupernovas-dev
 Architecture: any
