=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%supernovas-$1.tar.gz%" \
   https://github.com/Smithsonian/SuperNOVAS/tags \
   .*?@ANY_VERSION@@ARCHIVE_EXT@
