## supernovas 1.2.0

=== Makefile ===
--- 
+++ 
@@ -55,17 +55,29 @@
   SHARED_TARGETS += $(LIB)/libsolsys-ephem.so
 endif
 
+ifeq ($(CALCEPH_SUPPORT),1)
+  CPPFLAGS += -DUSE_CALCEPH=1
+  SOLSYS_TARGETS += $(OBJ)/solsys-calceph.o
+  SHARED_TARGETS += $(LIB)/libsolsys-calceph.so
+endif
+
+ifeq ($(CSPICE_SUPPORT),1)
+  CPPFLAGS += -DUSE_CSPICE=1
+  SOLSYS_TARGETS += $(OBJ)/solsys-cspice.o
+  SHARED_TARGETS += $(LIB)/libsolsys-cspice.so
+endif
+
 # Default target for packaging with Linux distributions
 .PHONY: distro
 distro: $(SHARED_TARGETS) $(DOC_TARGETS)
 
 # Shared libraries (versioned and unversioned)
 .PHONY: shared
-shared: $(SHARED_TARGETS)
+shared: check-cio-locator $(SHARED_TARGETS)
 
 # Legacy static libraries (locally built)
 .PHONY: static
-static: $(LIB)/libnovas.a solsys
+static: check-cio-locator $(LIB)/libnovas.a solsys
 
 # solarsystem() call handler objects
 .PHONY: solsys
@@ -73,28 +85,39 @@
 
 # All of the above
 .PHONY: all
-all: distro static test coverage check
+all: distro static test coverage analyze
 
 # Run regression tests
 .PHONY: test
 test:
-	make -C test run
+	$(MAKE) -C test run
+
+# Perform checks (test + analyze)
+.PHONY: check
+check: test analyze
 
 # Measure test coverage (on test set of files only)
 .PHONY: coverage
 coverage:
-	make -C test coverage
+	$(MAKE) -C test coverage
 
 # Remove intermediates
 .PHONY: clean
 clean:
 	rm -f $(OBJECTS) README-orig.md $(BIN)/cio_file gmon.out
-	make -C test clean
+	$(MAKE) -C test clean
 
 # Remove all generated files
 .PHONY: distclean
 distclean: clean
-	rm -f $(LIB)/libsupernovas.so* $(LIB)/libnovas.so* $(LIB)/libnovas.a $(LIB)/libsolsys*.so* cio_ra.bin
+	rm -f $(LIB)/libsupernovas.so* $(LIB)/libsupernovas.a $(LIB)/libnovas.so* $(LIB)/libnovas.a $(LIB)/libsolsys*.so* cio_ra.bin
+
+.PHONY:
+check-cio-locator:
+ifndef CIO_LOCATOR_FILE
+	  $(info WARNING! No default CIO_LOCATOR_FILE defined. Will use local 'cio_ra.bin' if present.)
+endif
+
 
 # ----------------------------------------------------------------------------
 # The nitty-gritty stuff below
@@ -106,6 +129,14 @@
 
 $(LIB)/libsolsys2.so: $(LIB)/libsolsys2.so.$(SO_VERSION)
 
+$(LIB)/libsolsys3.so: $(LIB)/libsolsys2.so.$(SO_VERSION)
+
+$(LIB)/libsolsys-ephem.so: $(LIB)/libsolsys-ephem.so.$(SO_VERSION)
+
+$(LIB)/libsolsys-calceph.so: $(LIB)/libsolsys-calceph.so.$(SO_VERSION)
+
+$(LIB)/libsolsys-cspice.so: $(LIB)/libsolsys-cspice.so.$(SO_VERSION)
+
 $(LIB)/libnovas.so: $(LIB)/libsupernovas.so
 
 $(LIB)/libsolsys%.so.$(SO_VERSION): LDFLAGS += -L$(LIB) -lsupernovas
@@ -129,8 +160,20 @@
 $(LIB)/libsolsys-ephem.so.$(SO_VERSION): BUILTIN_SOLSYS_EPHEM := 0
 $(LIB)/libsolsys-ephem.so.$(SO_VERSION): $(SRC)/solsys-ephem.c | $(LIB)/libsupernovas.so
 
-# Static library: libnovas.a
-$(LIB)/libnovas.a: $(OBJECTS) | $(LIB) Makefile
+# Shared library: libsolsys-calceph.so.1 (standalone solsys2.c functionality)
+$(LIB)/libsolsys-calceph.so.$(SO_VERSION): LDFLAGS += -lcalceph
+$(LIB)/libsolsys-calceph.so.$(SO_VERSION): $(SRC)/solsys-calceph.c | $(LIB)/libsupernovas.so
+
+# Shared library: libsolsys-cspice.so.1 (standalone solsys2.c functionality)
+$(LIB)/libsolsys-cspice.so.$(SO_VERSION): LDFLAGS += -lcspice
+$(LIB)/libsolsys-cspice.so.$(SO_VERSION): $(SRC)/solsys-cspice.c | $(LIB)/libsupernovas.so
+
+# Static library: libsupernovas.a
+$(LIB)/libsupernovas.a: $(OBJECTS) | $(LIB) Makefile
+
+$(LIB)/libnovas.a: $(LIB)/libsupernovas.a
+	@rm -f $@
+	( cd $(LIB); ln -s libsupernovas.a libnovas.a )
 
 # CIO locator data
 cio_ra.bin: data/CIO_RA.TXT $(BIN)/cio_file
@@ -154,6 +197,85 @@
 .PHONY: local-dox
 local-dox: README-orig.md Doxyfile.local
 	doxygen Doxyfile.local
+
+# Default values for install locations
+# See https://www.gnu.org/prep/standards/html_node/Directory-Variables.html 
+prefix ?= /usr
+exec_prefix ?= $(prefix)
+libdir ?= $(exec_prefix)/lib
+includedir ?= $(prefix)/include
+datarootdir ?= $(prefix)/share
+datadir ?= $(datarootdir)
+mydatadir ?= $(datadir)/supernovas
+docdir ?= $(datarootdir)/doc/supernovas
+htmldir ?= $(docdir)/html
+
+# Standard install commands
+INSTALL_PROGRAM ?= install
+INSTALL_DATA ?= install -m 644
+
+.PHONY: install
+install: install-libs install-cio-data install-headers install-html install-examples
+
+.PHONY: install-libs
+install-libs:
+ifneq ($(wildcard $(LIB)/*),)
+	@echo "installing libraries to $(DESTDIR)$(libdir)"
+	install -d $(DESTDIR)$(libdir)
+	cp -a $(LIB)/lib* $(DESTDIR)$(libdir)/
+else
+	@echo "WARNING! Skipping libs install: needs 'shared' and/or 'static'"
+endif
+
+.PHONY: install-cio-data
+install-cio-data:
+	@echo "installing CIO locator data to $(DESTDIR)$(mydatadir)"
+	install -d $(DESTDIR)$(mydatadir)
+	$(INSTALL_DATA) data/CIO_RA.TXT $(DESTDIR)$(mydatadir)/CIO_RA.TXT
+
+.PHONY: install-headers
+install-headers:
+	@echo "installing headers to $(DESTDIR)$(includedir)"
+	install -d $(DESTDIR)$(includedir)
+	$(INSTALL_DATA) -D include/* $(DESTDIR)$(includedir)/
+
+.PHONY: install-html
+install-html:
+ifneq ($(wildcard apidoc/html/search/*),)
+	@echo "installing API documentation to $(DESTDIR)$(htmldir)"
+	install -d $(DESTDIR)$(htmldir)/search
+	$(INSTALL_DATA) -D apidoc/html/search/* $(DESTDIR)$(htmldir)/search/
+	$(INSTALL_DATA) -D apidoc/html/*.* $(DESTDIR)$(htmldir)/
+	@echo "installing images to $(DESTDIR)$(htmldir)/resources"
+	install -d $(DESTDIR)$(htmldir)/resources
+	$(INSTALL_DATA) -D resources/SuperNOVAS-systems.png $(DESTDIR)$(htmldir)/resources/
+	@echo "installing Doxygen tag file to $(DESTDIR)$(docdir)"
+	install -d $(DESTDIR)$(docdir)
+	$(INSTALL_DATA) apidoc/supernovas.tag $(DESTDIR)$(docdir)/supernovas.tag
+else
+	@echo "WARNING! Skipping apidoc install: needs doxygen and 'local-dox'"
+endif
+
+.PHONY: install-examples
+install-examples:
+	@echo "installing examples to $(DESTDIR)$(docdir)"
+	install -d $(DESTDIR)$(docdir)
+	$(INSTALL_DATA) -D examples/* $(DESTDIR)$(docdir)/
+
+
+# Some standard GNU targets, that should always exist...
+.PHONY: html
+html: local-dox
+
+.PHONY: dvi
+dvi:
+
+.PHONY: ps
+ps:
+
+.PHONY: pdf
+pdf:
+
 
 # Built-in help screen for `make help`
 .PHONY: help
@@ -174,10 +296,12 @@
 	@echo "                call implentations (e.g. 'solsys1.o', 'eph_manager.o'...)."
 	@echo "  cio_ra.bin    Generates a platform-specific binary CIO locator lookup data file"
 	@echo "                'cio_ra.bin' from the ASCII 'data/CIO_RA.TXT'."
-	@echo "  check         Performs static analysis with 'cppcheck'."
 	@echo "  test          Runs regression tests."
+	@echo "  analyze       Performs static code analysis with 'cppcheck'."
+	@echo "  check         Same as 'test' and then 'analyze'."
 	@echo "  coverage      Runs 'gcov' to analyze regression test coverage."
 	@echo "  all           All of the above."
+	@echo "  install       Install components (e.g. 'make prefix=<path> install')"
 	@echo "  clean         Removes intermediate products."
 	@echo "  distclean     Deletes all generated files."
 	@echo
