=== test/Makefile ===
--- 
+++ 
@@ -6,16 +6,32 @@
 # Use above config in sub-makes also
 export BUILTIN_SOLSYS3 BUILTIN_DEFAULT_SOLSYS CIO_LOCATOR_FILE
 
-CFLAGS += -I../include -g -pg -Wall -fprofile-arcs -ftest-coverage
+CFLAGS += -I../include -pg -Wall -fprofile-arcs -ftest-coverage
 LDFLAGS += -fprofile-arcs -ftest-coverage -lm
 
 include ../config.mk
 
 #OBJECTS := $(subst obj/,,$(OBJECTS))
-OBJECTS := novas.o nutation.o solsys3.o super.o frames.o timescale.o refract.o
+OBJECTS := novas.o nutation.o solsys3.o super.o frames.o timescale.o refract.o naif.o
+TESTS := test-compat test-cio_file test-super test-errors
+COVFILES := novas.c.gcov nutation.c.gcov solsys3.c.gcov super.c.gcov timescale.c.gcov refract.c.gcov frames.c.gcov naif.c.gcov
+
+ifeq ($(CALCEPH_SUPPORT), 1)
+  LDFLAGS += -lcalceph
+  OBJECTS += solsys-calceph.o
+  TESTS += test-calceph
+  COVFILES += solsys-calceph.c.gcov
+endif
+
+ifeq ($(CSPICE_SUPPORT), 1)
+  LDFLAGS += -lcspice
+  OBJECTS += solsys-cspice.o
+  TESTS += test-cspice
+  COVFILES += solsys-cspice.c.gcov
+endif
 
 .PHONY: run
-run: clean-cov clean-data test-compat test-cio_file test-super test-errors data ../cio_ra.bin bad-data
+run: clean-cov clean-data $(TESTS) data ../cio_ra.bin bad-data
 	./test-compat
 	ln -s ../cio_ra.bin
 	./test-cio_file
@@ -24,6 +40,12 @@
 	./test-super
 	rm -f cio_ra.bin
 	./test-errors
+ifeq ($(CALCEPH_SUPPORT), 1)
+	./test-calceph ephem
+endif
+ifeq ($(CSPICE_SUPPORT), 1)
+	./test-cspice ephem
+endif
 
 cov: cov.info
 	genhtml $< -o $@
@@ -32,9 +54,10 @@
 	geninfo . -b . -o $@
 
 .PHONY: coverage
-coverage: novas.c.gcov nutation.c.gcov solsys3.c.gcov super.c.gcov timescale.c.gcov refract.c.gcov frames.c.gcov
-	make clean-test
-	make cov
+
+coverage: $(COVFILES)
+	$(MAKE) clean-test
+	$(MAKE) cov
 
 data:
 	mkdir data
@@ -61,11 +84,11 @@
 
 .PRECIOUS: %.gcno %.gcda
 %.gcno %.gcda: ../src/%.c
-	make clean
-	make run
+	$(MAKE) clean
+	$(MAKE) run
 
 ../cio_ra.bin:
-	make -C .. cio_ra.bin
+	$(MAKE) -C .. cio_ra.bin
 
 test-%: test-%.o $(OBJECTS) | Makefile data
 	$(CC) -o $@ $^ $(LDFLAGS)
@@ -75,6 +98,11 @@
 
 %.o: ../src/%.c | Makefile
 	$(CC) -c -o $@ $(CPPFLAGS) $(CFLAGS) $<
+
+
+test-calceph: LDFLAGS += -lcalceph
+
+test-cspice: LDFLAGS += -lcspice
 
 .PHONY: clean-test
 clean-test:
