=== debian/changelog ===
supernovas (1.2.0-2) unstable; urgency=low

  * Version bump only

 -- Attila Kovacs <attila.kovacs@cfa.harvard.edu>  Mon, 03 Feb 2025 10:19:00 -0400

supernovas (1.2.0-1) unstable; urgency=medium

  * Update to upstream SuperNOVAS v1.2.0
  * Patches from 1.1.1 no longer needed, due to fix upstream. Removed.
  * Added libsolsys-calceph1 subpackage
  * Updated debian/*.sybmols with additions for v1.2.0
  * changed debian/*.install to use staging of 1.2.0 instead of build location
  * Updated watch file to process -rc release candidates correctly

 -- Attila Kovacs <attila.kovacs@cfa.harvard.edu>  Wed, 15 Jan 2025 13:51:00 +0200
