=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Attila Kovacs <attila.kovacs@cfa.harvard.edu>
 Section: devel
 Priority: optional
-Build-Depends: debhelper-compat (= 13)
+Build-Depends: debhelper-compat (= 13), libcalceph-dev
 Build-Depends-Indep: doxygen
 Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/supernovas
@@ -33,6 +33,21 @@
  code is compatible with the C90 standard, and hence should be suitable for old
  and new platforms alike. It is light-weight and easy to use, with full support
  for the IAU 2000/2006 standards for sub-micro-arc-second position.
+
+Package: libsolsys-calceph1
+Architecture: any
+Multi-Arch: same
+Section: libs
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         libsupernovas1 (= ${binary:Version}),
+         libcalceph2
+Description: Optional SuperNOVAS plugin library that provides Solar-system 
+ support via the CALCEPH C library. It allows using both JPL (SPK) and INPOP 
+ 2.0/3.0 data files with SuperNOVAS to obtain precise locations for 
+ Solar-system bodies. This plugin is currently the preferred option to use for
+ Fedora / RPM Linux development, which requires use of precise Solar-system 
+ data.
 
 Package: libsolsys1-1
 Architecture: any
@@ -78,6 +93,7 @@
 Section: libdevel
 Depends: ${misc:Depends},
          libsupernovas1 (= ${binary:Version}),
+         libsolsys-calceph1 (= ${binary:Version}),
          libsolsys1-1 (= ${binary:Version}),
          libsolsys2-1 (= ${binary:Version})
 Description: C development files for the SuperNOVAS C/C++ astronomy library
