=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%supernovas-$1.tar.gz%, \
uversionmangle=s:(\d)-rc(\d*):$1~rc$2:" \
   https://github.com/Smithsonian/SuperNOVAS/tags \
   .*?@ANY_VERSION@@ARCHIVE_EXT@
