## supernovas 1.3.0

=== Makefile ===
--- 
+++ 
@@ -29,7 +29,9 @@
 ifeq ($(.SHELLSTATUS),0)
   DOC_TARGETS += local-dox
 else
-  $(info WARNING! Doxygen is not available. Will skip 'dox' target) 
+  ifneq ($(DOXYGEN),none)
+    $(info WARNING! Doxygen is not available. Will skip 'dox' target)
+  endif
 endif
 
 SOLSYS_TARGETS :=
@@ -89,8 +91,12 @@
 
 # Run regression tests
 .PHONY: test
-test:
+test: cio_ra.bin
 	$(MAKE) -C test run
+
+.PHONY: benchmark
+benchmark: shared
+	$(MAKE) LD_LIBRARY_PATH=$(shell pwd)/$(LIB) -C benchmark
 
 # Perform checks (test + analyze)
 .PHONY: check
@@ -106,11 +112,13 @@
 clean:
 	rm -f $(OBJECTS) README-orig.md $(BIN)/cio_file gmon.out
 	$(MAKE) -C test clean
+	$(MAKE) -C benchmark clean
 
 # Remove all generated files
 .PHONY: distclean
 distclean: clean
 	rm -f $(LIB)/libsupernovas.so* $(LIB)/libsupernovas.a $(LIB)/libnovas.so* $(LIB)/libnovas.a $(LIB)/libsolsys*.so* cio_ra.bin
+	$(MAKE) -C benchmark distclean
 
 .PHONY:
 check-cio-locator:
@@ -186,7 +194,16 @@
 README-orig.md: README.md
 	LINE=`sed -n '/\# /{=;q;}' $<` && tail -n +$$((LINE+2)) $< > $@
 
-dox: README-orig.md
+
+dox: 
+
+# Doxygen documentation (HTML and man pages) under apidocs/
+.PHONY: dox
+dox: README.md Doxyfile apidoc $(SRC) $(INC) README-orig.md
+	@echo "   [doxygen]"
+	@$(DOXYGEN)
+	@rm -f apidoc/html/resources
+	@( cd apidoc/html; rm -f resources; ln -s ../../resources )
 
 .INTERMEDIATE: Doxyfile.local
 Doxyfile.local: Doxyfile Makefile
@@ -196,7 +213,8 @@
 # Google Search or Analytics tracking info.
 .PHONY: local-dox
 local-dox: README-orig.md Doxyfile.local
-	doxygen Doxyfile.local
+	$(DOXYGEN) Doxyfile.local
+	( cd apidoc/html; rm -f resources; ln -s ../../resources )
 
 # Default values for install locations
 # See https://www.gnu.org/prep/standards/html_node/Directory-Variables.html 
@@ -215,14 +233,14 @@
 INSTALL_DATA ?= install -m 644
 
 .PHONY: install
-install: install-libs install-cio-data install-headers install-html install-examples
+install: install-libs install-cio-data install-headers install-html
 
 .PHONY: install-libs
 install-libs:
 ifneq ($(wildcard $(LIB)/*),)
 	@echo "installing libraries to $(DESTDIR)$(libdir)"
 	install -d $(DESTDIR)$(libdir)
-	cp -a $(LIB)/lib* $(DESTDIR)$(libdir)/
+	cp -a $(LIB)/* $(DESTDIR)$(libdir)/
 else
 	@echo "WARNING! Skipping libs install: needs 'shared' and/or 'static'"
 endif
@@ -255,13 +273,6 @@
 else
 	@echo "WARNING! Skipping apidoc install: needs doxygen and 'local-dox'"
 endif
-
-.PHONY: install-examples
-install-examples:
-	@echo "installing examples to $(DESTDIR)$(docdir)"
-	install -d $(DESTDIR)$(docdir)
-	$(INSTALL_DATA) -D examples/* $(DESTDIR)$(docdir)/
-
 
 # Some standard GNU targets, that should always exist...
 .PHONY: html
@@ -297,6 +308,7 @@
 	@echo "  cio_ra.bin    Generates a platform-specific binary CIO locator lookup data file"
 	@echo "                'cio_ra.bin' from the ASCII 'data/CIO_RA.TXT'."
 	@echo "  test          Runs regression tests."
+	@echo "  benchmark     Runs benchmarks."
 	@echo "  analyze       Performs static code analysis with 'cppcheck'."
 	@echo "  check         Same as 'test' and then 'analyze'."
 	@echo "  coverage      Runs 'gcov' to analyze regression test coverage."
