=== debian/changelog ===
supernovas (1.3.0-2) unstable; urgency=medium

  * team upload
  * upload to unstable
    (fixes soname status)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 04 May 2025 23:30:21 +0200

supernovas (1.3.0-1) experimental; urgency=medium

  * Update to upstream SuperNOVAS v1.3.0
  * Legacy examples under legacy/ folder
  * Add patch for novas_sep() sqrt() range check
  * Trailing spaces; bump standards to 4.7.2
  * Patch for testing ira_equinox()

 -- Attila Kovacs <attipaci@gmail.com>  Tue, 15 Apr 2025 17:30:21 +0200
