=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13), libcalceph-dev
 Build-Depends-Indep: doxygen
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/supernovas
 Vcs-Git: https://salsa.debian.org/debian-astro-team/supernovas.git
 Homepage: https://smithsonian.github.io/SuperNOVAS
@@ -42,11 +42,11 @@
          ${misc:Depends},
          libsupernovas1 (= ${binary:Version}),
          libcalceph2
-Description: Optional SuperNOVAS plugin library that provides Solar-system 
- support via the CALCEPH C library. It allows using both JPL (SPK) and INPOP 
- 2.0/3.0 data files with SuperNOVAS to obtain precise locations for 
+Description: Optional SuperNOVAS plugin library that provides Solar-system
+ support via the CALCEPH C library. It allows using both JPL (SPK) and INPOP
+ 2.0/3.0 data files with SuperNOVAS to obtain precise locations for
  Solar-system bodies. This plugin is currently the preferred option to use for
- Fedora / RPM Linux development, which requires use of precise Solar-system 
+ Fedora / RPM Linux development, which requires use of precise Solar-system
  data.
 
 Package: libsolsys1-1
