## supernovas 1.4.0

=== debian/changelog ===
supernovas (1.4.0-1) experimental; urgency=medium

  * Add new debian symbols 
  * Update to upstream SuperNOVAS v1.4.0 

 -- Attila Kovacs <attipaci@gmail.com>  Mon, 02 Jun 2025 08:11:45 +0200

supernovas (1.3.1-1) unstable; urgency=high

  * Update to upstream SuperNOVAS v1.3.1 (fixes accuracy bug)
  * Remove patches, which have been incorporated upstream

 -- Attila Kovacs <attipaci@gmail.com>  Wed, 07 May 2025 09:10:00 +0200
